﻿/* AUTH PAGES */
.auth-page-wrapper {
    position: absolute;
    inset: 0;
    overflow: hidden;
    background-color: #1c575d;

    .auth-page-content {
    position: relative;
    width: 480px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #fff;
    padding: 32px;
    z-index: 1;

    .auth-page-header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .left, .right {
    width: min-content;
}

.logo {
    width: 120px;
}

}

.auth-main-content {
    height: max-content;

    .auth-page-title {
    font-size: 36px;
    width: 100%;
    text-align: center;
    margin-bottom: 32px;
}

.form-group {
    position: relative;
    border-radius: 6px;
    --text-indent: 4em;

    .icon {
    position: absolute;
    top: 50%;
    left: 16px;
    transform: translateY(-50%);
    color: #808080;
}

label {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: var(--text-indent);
    display: none;
}

&:focus-within {
    box-shadow: 0 0 0 0 #fff, 0 0 4px 2px color-mix(in oklab, #fff 50%, var(--prompt-colors-accent-1));
    .icon

{
    color: var(--prompt-colors-accent-1) !important;
}

}

input.form-control {
    height: 45px;
    width: 100%;
    border-radius: 8px;
    text-indent: var(--text-indent);
    padding-left: 0;
}

}

.btn-forgot-password {
    color: #808080;
    font-size: 12px;
    padding: 4px;
    border-radius: 4px;
    &:hover

{
    background-color: var(--button-bg-hover);
}

}

.btn-primary {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center !important;
    height: 45px;
    padding: 8px 16px;
    margin-top: 32px;
}

}

.auth-page-footer {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    gap: 8px;
    .btn

{
    padding: 8px;
    width: max-content;
}

}
}

.auth-page-background {
    position: absolute;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    inset: 0;
    z-index: 0;
}
}
